import request from '@/utils/request'

// 分页查询抽奖奖品
export function getPageLotteryPrize(params) {
  return request({
    url: '/lotteryPrize/page',
    method: 'get',
    params
  })
}

// 查询抽奖奖品
export function getByIdLotteryPrize(params) {
  return request({
    url: '/lotteryPrize/getById',
    method: 'get',
    params
  })
}

// 新增抽奖奖品
export function saveLotteryPrize(data) {
  return request({
    url: '/lotteryPrize/save',
    method: 'post',
    data
  })
}

// 修改抽奖奖品
export function updateLotteryPrize(data) {
  return request({
    url: '/lotteryPrize/update',
    method: 'post',
    data
  })
}

// 删除抽奖奖品
export function deleteByIdLotteryPrize(params) {
  return request({
    url: '/lotteryPrize/deleteById',
    method: 'delete',
    params
  })
}
